Package com.enonic.xp.query.highlight

## Class HighlightQuerySettings

- java.lang.Object
- - com.enonic.xp.query.highlight.HighlightPropertySettings
  - - com.enonic.xp.query.highlight.HighlightQuerySettings

-     public class HighlightQuerySettings
      extends HighlightPropertySettings

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `HighlightQuerySettings.Builder` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `HighlightQuerySettings​(HighlightQuerySettings.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HighlightQuerySettings.Builder` | `create()` |
    `static HighlightQuerySettings` | `empty()` |
    `boolean` | `equals​(Object o)` |
    `Encoder` | `getEncoder()` |
    `TagsSchema` | `getTagsSchema()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class com.enonic.xp.query.highlight.HighlightPropertySettings

      `getFragmenter, getFragmentSize, getNoMatchSize, getNumOfFragments, getOrder, getPostTags, getPreTags, getRequireFieldMatch`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HighlightQuerySettings

          protected HighlightQuerySettings​(HighlightQuerySettings.Builder builder)

  - ### Method Detail

    - #### create

          public static HighlightQuerySettings.Builder create()

    - #### getEncoder

          public Encoder getEncoder()

    - #### getTagsSchema

          public TagsSchema getTagsSchema()

    - #### empty

          public static HighlightQuerySettings empty()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `HighlightPropertySettings`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `HighlightPropertySettings`